import grok
from waeup.basecontainer import BaseContainer
from interfaces import IFaculty

class FacultyContainer(BaseContainer):
    
    name = u'Faculties'

class AddFaculty(grok.AddForm):
    form_fields = grok.AutoFields(IFaculty)

    @grok.action('Add Faculty')
    def addFaculty(self, name, *args, **kw):
        new_fac = Faculty(name=name)
        self.context[name] = new_fac
        self.redirect(self.url(new_fac))
