import grok
from grok import index
from interfaces import IUniversity
from setup import app_setup

class University(grok.Application, grok.Container):
    grok.implements(IUniversity)

    def __init__(self, name=u'Unnamed', **kw):
        super(University, self).__init__(**kw)
        self.name = name
        app_setup.setup(self)

class Index(grok.View):
    grok.context(University)

    def getFacList(self):
        return [x for x in self.context.values()
                if IFaculty.providedBy(x)]

class Edit(grok.EditForm):
    grok.context(University)
    grok.AutoFields(IUniversity)
